Subject: Bug after guix pull on the qemu VM

From: Anass <[email-masked]>
Date: Thu, 09 Sep 2021 12:26:48 +0000

Hello there,

I'm not familiar with the OS, this is my first ever test for it. I searched how to add software and update the system.
During the process following guix pull, I had this error telling me I found a bug and that I can report it to this email address.

So here is the prompt history and I hope It's going to be useful:

t@gnu ~$ guix pull
Updating channel 'guix' from Git repository at '
https://git.savannah.gnu.org/git/guix.git
'...
Authenticating channel 'guix', commits 9edb3f6 to fb32a38 (5,538 new commits)...
Building from this channel:
  guix
https://git.savannah.gnu.org/git/guix.git
fb32a38
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
 config.scm  501B                      23KiB/s 00:00 [##################] 100.0%
 git.scm  101B                         43KiB/s 00:00 [##################] 100.0%
 hash.scm  132B                        49KiB/s 00:00 [##################] 100.0%
 module-import  2KiB                  135KiB/s 00:00 [##################] 100.0%
 module-import-compiled  1.8MiB       3.9MiB/s 00:00 [##################] 100.0%
 compute-guix-derivation  1011B       341KiB/s 00:00 [##################] 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
substitute: updating substitutes from '
https://ci.guix.gnu.org
'... 100.0%
 gnutls-3.6.16-doc  1.0MiB              2KiB/s 08:46 [##################] 100.0%
guix substitute: error: TLS error in procedure 'write_to_session_record_port': Error in the push function.
Backtrace:
          15 (primitive-load "/gnu/store/c7m70gz5wyyp00czlw73lj03wi46wvhg-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 14 (_ _)
    159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 12 (with-fluid* _ _ _)
    152:2 11 (with-fluid* _ _ _)
In ./guix/store.scm:
  2108:24 10 (run-with-store #<store-connection 256.99 7f0343fb9280> _ #:guile-for-build _ #:system _ #:target _)
   1945:8  9 (_ _)
In ./guix/gexp.scm:
   275:18  8 (_ _)
   1156:2  7 (_ _)
   1022:2  6 (_ _)
    868:4  5 (_ _)
In ./guix/store.scm:
  1993:12  4 (_ #<store-connection 256.99 7f0343fb9280>)
   1395:5  3 (map/accumulate-builds #<store-connection 256.99 7f0343fb9280> _ _)
  1406:15  2 (_ #<store-connection 256.99 7f0343fb9280> _ _)
   733:11  1 (process-stderr #<store-connection 256.99 7f0343fb9280> _)
In ./guix/serialization.scm:
     80:6  0 (read-int #<input-output: file 10>)

./guix/serialization.scm:80:6: In procedure read-int:
ERROR:
  1. &nar-error:
      file: #f
      port: #<input-output: file 10>
guix pull: error: You found a bug: the program '/gnu/store/c7m70gz5wyyp00czlw73lj03wi46wvhg-compute-guix-derivation'
failed to compute the derivation for Guix (version: "fb32a38db1d3a6d9bc970e14df5be95e59a8ab02"; system: "x86_64-linux";
host version: "1.3.0-1.771b866"; pull-version: 1).
Please report it by email to <
[email-masked]
>.

Best regards, Anass El Jondy